Subject: Re: bug#68761: [PATCH] Record dependencies in packages installed via package-vc

From: Philip Kaludercic <[email-masked]>
Date: Wed, 07 Feb 2024 17:07:43 +0000

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Philip Kaludercic <[email-masked]>
>> Date: Wed, 07 Feb 2024 07:18:33 +0000
>> 
>> Steven Allen <[email-masked]> writes:
>> 
>> >>> The dependency list wasn't getting recorded in the package's `-pkg.el` file.
>> >>
>> >> Did you notice this because of some bug or what is the motivation for
>> >> this change?  I'll certainly look into it, I just wanted some context.
>> >
>> > I noticed this because I tried to remove "unused" dependencies
>> > (package-autoremove) and ended up removing dependencies from my
>> > package-vc packages.
>> 
>> That doesn't sound good.  Your patch should resolve the issue, and I
>> would be inclined to propose applying it to the Emacs 29 branch, if the
>> maintainers don't object.
>
> How serious is the problem?  Since it's unlikely there will be any
> more Emacs 29.x releases, except if we have some emergency, we should
> try to keep the release branch as safe and undiverged from 29.2 as
> possible.

I wouldn't clarify it as an emergency, at most a regrettable
inconvenience.

Just to avoid confusion: What branch is the current release branch then?